#{extends 'borderNG.html' /}
    <ol class="breadcrumb" style="background-color: #d9534f !important;">
        <li><a href="@{BerandaCtr.index()}">&{'kontrakpl.paketppk'}</a></li>
        <li class="active">&{'kontrakpl.formsurat'}</li>
    </ol>
<div class="content">
 #{alert /}
#{form @nonlelang.KontrakPlCtr.simpanSpk(sppbj.sppbj_id, kontrakx.kontrak_id), name:'formPesanan', enctype:"multipart/form-data", method:'POST', class:'form-horizontal'}
	<div class="bs-callout bs-callout-info"><strong>&{'kontrakpl.infopaket'}</strong></div>
	<table class="table table-condensed">
		<tr>
			<td width="250px">&{'kontrakpl.kp'} </td>
			<td>${pl?.lls_id}</td>
		</tr>
		<tr>
			<td class="name">&{'kontrakpl.np'} </td>
			<td >${pl?.paket?.pkt_nama}</td>
		</tr>
		<tr>
			<td class="name">&{'kontrakpl.lokasi'} </td>
			<td>
				#{list items:pl?.getPaket().getPaketLokasi(), as: 'lokasi'}
				${lokasi?.pkt_lokasi} - ${lokasi?.kabupaten?.kbp_nama}
				#{/list}
			</td>
		</tr>
		<tr>
			<td class="name">&{'kontrakpl.anggaran'}</td>
			<td>
				#{list anggaranList, as:'anggaran'} ${anggaran?.sbd_id.label}-${anggaran?.ang_tahun}&nbsp;&nbsp;&nbsp;#{/list}
			</td>
		</tr>
		<tr>
			<td class="name">&{'kontrakpl.skerja'}</td>
			<td>${pl?.paket?.getNamaSatker()}</td>
		</tr>
		<tr>
			<td class="name">&{'kontrakpl.nilaipagu'}</td>
			<td>${pl?.getPaket().pkt_pagu.rupiah()}</td>
		</tr>
		<tr>
			<td class="name">&{'kontrakpl.nilaihps'}</td>
			<td>${pl?.getPaket().pkt_hps.rupiah()}</td>
		</tr>
	</table>

	<div class="bs-callout bs-callout-info"><strong>&{'kontrakpl.formspk'}</strong></div>
  	<table class="table table-condensed">
  	#{if spk?.spk_id!=null}
  	<input type="hidden" name="spk.spk_id" value="${spk?.spk_id}">
  	<input type="hidden" name="spk.kontrak_id" value="${spk?.kontrak_id}">
  	#{/if}
		<tr>
			<td width="250">&{'kontrakpl.nosuratpp'} <span class="error">*</span></td>
		    <td class="#{errorClass 'spk.spk_no'/}">
				<input type="text" class="form-control input-sm" id="noSuratPesanan" name="spk.spk_no" value="${spk?.spk_no}"/>
				<span class="help-block">#{error 'spk.spk_no' /}</span>
			</td>
		</tr>
        <tr>
            <td>&{'kontrakpl.tanggalspk'} <span class="error">*</span></td>
            <td class="#{errorClass 'spk.pes_tgl'/}">
                <div class=" input-group date width-normal ">
                    <input name="spk.spk_tgl" value="${spk?.spk_tgl?.toDatepicker()}" type="text" class="form-control" />
                    <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                </div>

            </td>
        </tr>
		<tr>
			<td>&{'kontrakpl.kotaspk'}</td>
			<td>
				<input type="text" class="form-control  " name="content.kota_pesanan" value="${content?.kota_pesanan}"/>
			</td>
		</tr>
	</table>

    <div class="bs-callout bs-callout-info"><strong>&{'kontrakpl.pihakpertama'}</strong></div>
    <table class="table table-condensed">
        <tr>
            <td width="250">&{'kontrakpl.namappk'}</td>
            <td>
			${ppk?.getPegawai().peg_nama.toUpperCase()}
            </td>
        </tr>
        <tr>
            <td >NIP PPK</td>
            <td >
			${ppk?.getPegawai().peg_nip}
            </td>
        </tr>
        <tr>
            <td>Nama Satuan Kerja</td>
            <td>
			${pl?.paket?.getNamaSatker()}
            </td>
        </tr>
	</table>

    <div class="bs-callout bs-callout-info"><strong>&{'kontrakpl.pihakkedua'}</strong></div>
    <table class="table table-condensed">
        <tr>
            <td width="250">&{'kontrakpl.namapenyedia'}</td>
            <td>
			${kontrakx?.rekanan?.rkn_nama.toUpperCase()}
            </td>
        </tr>
        <tr>
            <td>&{'kontrakpl.alamatpenyedia'}</td>
            <td>
			${kontrakx?.rekanan?.rkn_alamat}
            </td>
        </tr>
        <tr class="nonkso">
            <td>&{'kontrakpl.wakilsah'} <span class="error">*</span></td>
            <td class="#{errorClass 'content.wakil_sah_rekanan'/}">
                <input type="text" class="form-control input-sm"  name="content.wakil_sah_rekanan" value="${content?.wakil_sah_rekanan}"/>
                <span class="help-block">#{error 'content.wakil_sah_rekanan' /}</span>
            </td>
        </tr>
        <tr class="nonkso">
            <td>&{'kontrakpl.jabatanwakil'} <span class="error">*</span></td>
            <td class="#{errorClass 'content.jabatan_wakil_rekanan'/}">
                <input type="text" class="form-control input-sm"  name="content.jabatan_wakil_rekanan" value="${content?.jabatan_wakil_rekanan}"/>
                <span class="help-block">#{error 'content.jabatan_wakil_rekanan' /}</span>
            </td>
        </tr>
		<tr>
			<td>&{'kontrakpl.namabank'}</td>
			<td>${kontrakx?.kontrak_nama_bank}</td>
		</tr>
		<tr>
			<td>&{'kontrakpl.norek'}</td>
			<td>
				${kontrakx?.kontrak_norekening}
			</td>
		</tr>
	</table>

    <div class="bs-callout bs-callout-info"><strong>&{'kontrakpl.infopendukung'}</strong></div>
    <table class="table table-condensed">
		<tr>
			<td width="250" class="name">Nilai Kontrak (Rp) <span class="error">*</span></td>
			<td>
				#{if kontrakx?.kontrak_nilai == null}
				<input type="text" class="form-control  #{validate 'kontrak.kontrak_nilai'/}" id="nilaiKontrak"
					   name="kontrak.kontrak_nilai" value="${sppbj?.harga_final?.rupiah()}"
					   onchange="this.value=formatCurrency(this.value);" onkeypress="return isNumberKey(event)"/>
				#{/if}
				#{else}
				<input type="text" class="form-control  #{validate 'kontrak.kontrak_nilai'/}" id="nilaiKontrak"
					   name="kontrak.kontrak_nilai" value="${kontrakx?.kontrak_nilai?.rupiah()}"
					   onchange="this.value=formatCurrency(this.value);" onkeypress="return isNumberKey(event)"/>
				#{/else}
				<div class="invalid-feedback">#{error 'kontrak.kontrak_nilai' /}</div>
			</td>
		</tr>
		<tr>
			<td class="name">&{'kontrakpl.jkontrak'}</td>
			<td>
				${pl?.getKontrakPembayaran()?.label}
			</td>
		</tr>
        <tr>
            <td>&{'kontrakpl.waktupenyelesaian'}</td>
            <td><input type="text" class="form-control input-sm #{errorClass 'objPaketEContract.waktuPenyelesaian'/}"  name="content.waktu_penyelesaian" value="${content?.waktu_penyelesaian}" placeholder="Contoh Pengisian :30 hari Kalender, 2 tahun, 3 bulan"/></td>
        </tr>
		<tr>
			<td>&{'kontrakpl.tanggalmulai'}</td>
			<td>
				<div class=" input-group date width-normal datepicker">
					<input name="tgl_diterima" value="${content?.tgl_brng_diterima?.toDatepicker()}" type="text" class="form-control datepicker" />
					<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
            	</div>
			</td>
		</tr>
		<tr>
			<td>&{'kontrakpl.tanggalselesai'}</td>
			<td>
				<div class=" input-group date width-normal datepicker">
					<input name="tgl_selesai" value="${content?.tgl_pekerjaan_selesai?.toDatepicker()}" type="text" class="form-control datepicker" />
					<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
				</div>
			</td>
		</tr>
		#{if spk?.spk_id}
		<tr>
			<td>&{'kontrakpl.dokumencetakspk'}</td>
			<td>
				<div class="btn btn-success fileinput-button" style="margin-bottom: 10px;">
					<i class="glyphicon glyphicon-plus"></i>
					<span>&{'kontrakpkl.upload'}</span>
					<input id="fileupload" type="file" name="file" />
				</div>
				<div id="progress" class="progress" style="display: none;">
					<div class="progress-bar progress-bar-success"></div>
				</div>
				<div id="alert-upload"></div>
				<input type="hidden" id="id_attachment" name="spk.spk_attachment" value="${spk?.spk_attachment}" />
				<table class="table table-sm table-striped"" id="files">
					<thead>
					<th>&{'kontrakpl.nfile'}</th>
					<th>&{'kontrakpl.tup'}</th>
					<th>&{'kontrakpl.aksi'}</th>
					</thead>
					<tbody>
						#{list items:spk?.dokumen, as:'dok'}
						<tr>
							<td>#{download dok/}</td>
							<td>${dok?.blb_date_time?.formatDateTime()}</td>
							<td><a href="javascript:void(0)" title="Hapus" class="removeDok" versi="${dok.blb_versi}">
								<i class="fa fa-trash-o"></i></a>
							</td>
						</tr>
						#{/list}
					</tbody>
				</table>
			</td>
		</tr>
			#{/if}
		<tr>
			<td colspan="3">
				<button type="submit" name="simpan"  class="btn btn-success"><i class="fa fa-save"></i> &{'kontrakpl.simpan'}</button>
				#{if spk?.spk_id}
					<a href="@{kontrak.SppPlCtr.cetakSpkPl(pl?.lls_id,spk.spk_id)}" class="btn btn-primary" ><i class="fa fa-print"></i> Cetak</a>
					#{/if}
					<a href="@{nonlelang.KontrakPlCtr.listSppbjPl(pl?.lls_id)}" class="btn btn-default"> &{'kontrakpl.kembali'}</a></td>
		</tr>
	</table>
#{/form}
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
#{if spk?.spk_id}
<script type="text/javascript">
		$(document).on('click', '#fileupload', function(){
			var url = '@{kontrak.SppPlCtr.uploadDokSpk(spk?.spk_id)}';
			$('#fileupload').fileupload({
				url: url,
				dataType: 'json',
				acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|jpg|png|zip|rar)$/i,
				done: function (e, data) {
					$('#progress').hide();
					if (data.result.success) {
						$.each(data.result.files, function (index, file) {
							var upload_date = file.upload_date;
							var content = '<td>' + file.name + '<td>' + upload_date + '</td><td>' +
									'<a href="javascript:void(0)" class="removeDok" versi="' + file.versi + '">' +
									'<i class="fa fa-trash-o" ></i></a></td>';
							$('#id_attachment').val(file.id);
							$('<tr/>').html(content).appendTo('#files');
						});
						$('#alert-upload').attr('class', 'alert alert-success').html('&{'flash.fbd'}').show();
					} else {
						$('#alert-upload').attr('class', 'alert alert-danger').html(data.result.message).show();
					}
				},
				progressall: function (e, data) {
					var progress = parseInt(data.loaded / data.total * 100, 10);
					$('#progress').show();
					$('#progress .progress-bar').css(
							'width',
							progress + '%'
					);
				}
			}).on('fileuploadprocessalways', function (e, data) {
				var file = data.files[data.index];
				if (data.files.error && file.error) {
					var msg = file.name+' - '+file.error
					$('#alert-upload').attr('class', 'alert alert-danger').html(msg).show()
				}
			}).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
		});

		$(document).on('click', '.removeDok', function(){
			var versi = $(this).attr('versi')
			var parent = $(this).parent()
			var source  = #{jsRoute @kontrak.SppPlCtr.hapusDokSpk(spk?.spk_id) /};
			$.ajax({
				type: 'POST',
				url: source.url(),
				data : {'versi': versi},
				success : function(){
					$('#alert-upload').attr('class', 'alert alert-success').html('&{'flash.ftbdh'}').show();
					parent.parent().remove()
				},
				error : function(){
					$('#alert-upload').attr('class', 'alert alert-danger').html('&{'flash.ftdkdbh'}').show();
				}
			})
		});
</script>
#{/if}
#{/set}